## osxaudiosink osxaudiosink — Output to a sound card in OS X |

## Properties

gint | device | Read / Write

## Types and Values

struct | GstOsxAudioSink

## Object Hierarchy

## Description

## Synopsis

### Element Information

plugin | osxaudio
author | Zaheer Abbas Merali <zaheerabbas at merali dot org>
class | Sink/Audio

### Element Pads

## Functions

## Types and Values

### struct GstOsxAudioSink

    struct GstOsxAudioSink {
      GstAudioBaseSink sink;

      AudioDeviceID device_id;

      AudioUnit audiounit;
      double volume;
      GstCaps *cached_caps;

      guint channels;
      GstAudioChannelPosition channel_positions[GST_OSX_AUDIO_MAX_CHANNEL];
    };

## Property Details

### The `“device”` property

      “device”                   gint

Device ID of output device.

Flags: Read / Write

Allowed values: >= 0

Default value: 0